| OpenGL-2.4.0.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.Polygons

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.5 (Polygons) of the OpenGL 2.1 specs.
Documentation

polygonSmooth :: StateVar Capability | Source

cullFace :: StateVar (Maybe Face) | Source

class PolygonStipple s where | Source

Methods

withNewPolygonStipple :: (Ptr GLubyte -> IO ()) -> IO s | Source

withPolygonStipple :: s -> (Ptr GLubyte -> IO a) -> IO a | Source

newPolygonStipple :: [GLubyte] -> IO s | Source

getPolygonStippleComponents :: s -> IO [GLubyte] | Source

Instances

PolygonStipple GLpolygonstipple

data GLpolygonstipple | Source

Instances

Eq GLpolygonstipple
Ord GLpolygonstipple
Show GLpolygonstipple
PolygonStipple GLpolygonstipple

polygonStipple :: PolygonStipple s => StateVar (Maybe s) | Source

data PolygonMode | Source

Constructors

Point |
Line |
Fill |

Instances

Eq PolygonMode
Ord PolygonMode
Show PolygonMode

polygonMode :: StateVar (PolygonMode, PolygonMode) | Source

polygonOffset :: StateVar (GLfloat, GLfloat) | Source

polygonOffsetPoint :: StateVar Capability | Source

polygonOffsetLine :: StateVar Capability | Source

polygonOffsetFill :: StateVar Capability | Source

Produced by Haddock version 2.4.2